#include <bits/stdc++.h>
#define int long long
using namespace std;
const int k = 2;
signed main()
{
    int t;
    cin >> t;
    string sol[t];
    for(int m = 0; m < t; m++){
    int n;
    short ppa[k]  , pna[k], ppb[k], pnb[k]; // parnost, pozitivnost
    for(int i = 0; i < k; i++)
    {
        ppa[i] = 0;
        pna[i] = 0;
        pnb[i] = 0;
        ppb[i] = 0;
    }
    cin >> n;
    int a[n], b[n];

    for(int i = 0; i <n; i++)
    {

        cin >> a[i];
        if(a[i] > 0 && i %2 == 0){
            ppa[a[i]]++;
        }
        else if( a[i] > 0 && i %2 == 1)
        {

            pna[a[i]]++;
        }
        else if( a[i] <0 &&  i % 2 == 0)
        {

            pna[abs(a[i])]++;
        }
        else if( a[i] < 0 && i %2 == 1){
            ppa[abs(a[i])]++;

        }


    }
    for(int i = 0; i <n; i++)
    {
        cin >> b[i];
        if(b[i] > 0 && i %2 == 0){
            ppb[b[i]]++;
        }
        else if( b[i] > 0 && i %2 == 1)
        {

        pnb[b[i]]++;
        }
        else if( b[i] <0 &&  i % 2 == 0)
        {

            pnb[abs(b[i])]++;
        }
        else if(b[i] <0 && i %2 == 1){

            ppb[abs(b[i])]++;
        }

    }

    for(int i = 0; i <n; i++)
        {
            int q = abs(b[i]);
            if(ppa[q] + pna[q] != ppb[q] + pnb[q])
            {


                sol[m] = "NE";
                break;
            }
            sol[m] = "DA";
        }

    }
    for(int i = 0 ; i < t;i++)
    {
        cout << sol[i] << endl;
    }
    return 0;
}